<?php
	/*
	* TifFP composant passerelel de TourInFrance vers GMapFP pour Joomla! 2.5.x
	* Version 1.0
	* Creation date: Avril 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

namespace Joomla\Component\Tiffps\Administrator\Controller;

use Joomla\CMS\Application\CMSApplication;
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\Controller\AdminController;
use Joomla\CMS\MVC\Factory\MVCFactoryInterface;
use Joomla\Input\Input;
use Joomla\Utilities\ArrayHelper;

\defined('_JEXEC') or die;

class AccueilController extends AdminController
{
    public function __construct($config = array(), MVCFactoryInterface $factory = null, $app = null, $input = null)
    {
        parent::__construct($config, $factory, $app, $input);

        $this->registerTask('unfeatured', 'featured');
    }

	function view()
	{
		JRequest::setVar( 'view', 'accueil' );
		JRequest::setVar( 'layout', 'form'  );
		JRequest::setVar('hidemainmenu', 0);

		parent::display();
	}

	function update_table()
	{
		$model = $this->getModel('accueil');
		$result = $model->update_table();
		if ($result[0]) {
			$msg = JText::sprintf( 'COM_TIFFPS_TABLE_UPDATED',  $result[0]-1).' ';
		} else {
			$msg = JText::_( 'COM_TIFFPS_TABLE_UPDATED_ERROR' )."</br>".$model->getError();
		}
		if ($result[1]) {
			$msg .= JText::sprintf( 'COM_TIFFPS_TABLE_UPDATED_SUP',  $result[1]-1);
		} else {
			$msg .= JText::_( 'COM_TIFFPS_TABLE_ERASED_ERROR' )."</br>".$model->getError();
		}

		$link = 'index.php?option=com_tiffps&view=accueil';
		$this->setRedirect($link, $msg);
	}

    public function getModel($name = 'Accueil', $prefix = 'Administrator', $config = array('ignore_request' => true))
    {
        return parent::getModel($name, $prefix, $config);
    }
	
}
?>
