<?php
	/*
	* TifFP composant passerelel de TourInFrance vers GMapFP pour Joomla! 2.5.x
	* Version 1.0
	* Creation date: Avril 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

namespace Joomla\Component\Tiffps\Administrator\Controller;

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\Controller\AdminController;
use Joomla\CMS\Language\Text;

class SyndicationsController extends AdminController
{
	protected $text_prefix = 'COM_TIFFPS';

	public function getModel($name = 'Syndication', $prefix = 'Administrator', $config = array('ignore_request' => true))
	{
		return parent::getModel($name, $prefix, $config);
	}

	public function import()
	{
		// Check for request forgeries.
        $this->checkToken();

        $cid = (array) $this->input->get('cid', array(), 'int');
        $cid = array_filter($cid);

		// Get the model.
		$model	= $this->getModel();

		// Change the state of the records.
		if (! $cn = $model->getImport($cid)) {
            $this->setMessage($model->getError(), 'error');
		} else {
			Factory::getApplication()->enqueueMessage(Text::sprintf('COM_TIFFPS_TRAITE_XML_OK', $cn[0]), 'message');
			Factory::getApplication()->enqueueMessage(Text::sprintf('COM_TIFFPS_IMPORT_XML_OK', $cn[1]), 'message');
		}

		$this->setRedirect('index.php?option=com_tiffps&view=syndications');
	}

	public function cron_import()
	{
		// Get the model.
		$model	= $this->getModel();

		// Change the state of the records.
		if (! $cn = $model->getImport()) {
			$this->setMessage($model->getError(), 'error');
		} else {
			$this->setMessage(Text::sprintf('COM_TIFFPS_TRAITE_XML_OK', $cn[0]));
			$this->setMessage(Text::sprintf('COM_TIFFPS_IMPORT_XML_OK', $cn[1]));
		}

		$this->setRedirect('index.php?option=com_tiffps&view=syndications');
	}

}
