<?php
	/*
	* TifFP composant passerelel de TourInFrance vers GMapFP pour Joomla! 4.x
	* Version 4.0
	* Creation date: Juin 2023
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

namespace Joomla\Component\Tiffps\Administrator\Controller;

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\Controller\FormController;
use Joomla\CMS\Router\Route;
use Joomla\Utilities\ArrayHelper;
use Joomla\CMS\Versioning\VersionableControllerTrait;
use Joomla\CMS\MVC\Model\BaseDatabaseModel;
use Joomla\CMS\Language\Text;

class TiffpController extends FormController
{
    use VersionableControllerTrait;

    public function add_content()
    {
        $context = "$this->option.edit.$this->context";

        // Access check.
        if (!$this->allowAdd()) {
            // Set the internal error and also the redirect error.
            $this->setMessage(Text::_('JLIB_APPLICATION_ERROR_CREATE_RECORD_NOT_PERMITTED'), 'error');

            $this->setRedirect(
                Route::_(
                    'index.php?option=' . $this->option . '&view=' . $this->view_list
                        . $this->getRedirectToListAppend(),
                    false
                )
            );

            return false;
        }

        // Clear the record edit information from the session.
        $this->app->setUserState($context . '.data', null);

		// Redirect to the edit screen.
		$this->input->set('layout', 'edit_content', 'string');
        $this->setRedirect(
            Route::_(
                'index.php?option=' . $this->option . '&view=' . $this->view_item
                    . $this->getRedirectToItemAppend(),
                false
            )
        );

        return true;
    }

	function copy()
	{
		// Check for request forgeries
        $this->checkToken();

		$this->setRedirect( 'index.php?option=com_tiffps&view=tiffps' );

        $cid    = (array) $this->input->get('cid', array(), 'int');
		$model  = $this->getModel('tiffp');
		$table	= $model->getTable();
		$user	= Factory::getUser();

		foreach ($cid as $id)
		{
			if ($table->load( (int)$id ))
			{
				$table->id			= 0;
				$table->nom_fiche	= '('.Text::_( 'TIFFP_COPIE_DE').') ' . $table->nom_fiche;
				$table->published	= 0;
				$table->modified_by	= $user->get('id');
		
				if (!$table->store()) {
					$this->app->enqueueMessage($table->getError(), 'warning');
					return false;
				}
			}
			else {
				$this->app->enqueueMessage($table->getError(), 'warning');
				return false;
			}
		}

		$this->setMessage( Text::sprintf( 'Items copied', $n ) );
	}

}