<?php
	/*
	* TifFP composant passerelel de TourInFrance vers GMapFP pour Joomla! 3.x
	* Version J4.3
	* Creation date: Janvier 2014
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

namespace Joomla\Component\Tiffps\Administrator\View\Accueil;

use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Factory;
use Joomla\CMS\Helper\ContentHelper;
use Joomla\CMS\Language\Associations;
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\View\GenericDataException;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarHelper;

// phpcs:disable PSR1.Files.SideEffects
\defined('_JEXEC') or die;

class HtmlView extends BaseHtmlView
{
    protected $form;
    protected $item;
    protected $state;
	protected $canDo;
	protected $table_success = 0;
	protected $table_danger = 0;	

    public function display($tpl = NULL)
	{
        // Initialise variables.
        $this->form  = $this->get('Form');
        $this->items  = $this->get('Items');
        $this->state = $this->get('State');
		$this->canDo = ContentHelper::getActions('com_tiffps', 'tiffp');
        $this->filterForm    = $this->get('FilterForm');
        $this->activeFilters = $this->get('ActiveFilters');
		
		foreach($this->items as $item) {
			if ($item->style_update_date == 'table-success')
				$this->table_success ++;
			else
				$this->table_danger ++;
		}

        // Check for errors.
        if (count($errors = $this->get('Errors'))) {
            throw new GenericDataException(implode("\n", $errors), 500);
        }

		ToolBarHelper::title( Text::_( 'COM_TIFFPS_ACCUEIL_MANAGER' ),'home' );
		$this->state = $this->get('State');
		
		parent::display($tpl);
	}


}
