<?php
	/*
	* TifFP composant passerelel de TourInFrance vers GMapFP pour Joomla! 4.x
	* Version J4.0
	* Creation date: Juin 2023
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

namespace Joomla\Component\Tiffps\Administrator\View\Tiffp;

defined('_JEXEC') or die;

use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Factory;
use Joomla\CMS\Helper\ContentHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\View\GenericDataException;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\Component\Tiffps\Administrator\Helper\TiffpsHelper;

class HtmlView extends BaseHtmlView
{
	protected $form;
	protected $state;
	protected $canDo;

	function display($tpl = null)
	{
        $app        = Factory::getApplication();
		$user		= Factory::getUser();
		$layout		= $app->input->get('layout', 'edit', 'string');

		if ($layout == 'edit') {
			$Items		= $this->get('Item');
			$customs	= TiffpsHelper::getGmapfpCustomFields();
		} else {
			$Items		= $this->get('Item_Content');
			$customs	= TiffpsHelper::getGmapfpCustomFieldsContent();
		}

		// build list of categories
		$categories = HTMLHelper::_('category.options', 'com_gmapfp');
		array_unshift($categories, HTMLHelper::_('select.option',  '', Text::_('JOPTION_SELECT_CATEGORY')));
		$lists['g_catid'] = HTMLHelper::_('select.genericlist', $categories, 'g_catid', 'class="inputbox required" size="1"  onchange="display_catid_field();"', 'value', 'text', intval( $Items->g_catid ));

		// $model = $this->getModel('tiffp');

		$this->user		= $user;
		$this->items	= $Items;
		$this->customs	= $customs;
		$this->lists	= $lists;
		$this->form  = $this->get('Form');
		$this->state = $this->get('State');
		// $this->canDo	= ContentHelper::getActions($this->state->get('filter.category_id'));
		
		// $tpl = 'content';

		$this->addToolbar($Items->id < 1);
		parent::display($tpl);
	}

    protected function addToolbar($isNew)
    {
        // Get the toolbar object instance
        $toolbar = Toolbar::getInstance('toolbar');

		$text = $isNew ? Text::_( 'COM_TIFFPS_NEW' ) : Text::_( 'COM_TIFFPS_EDIT' );
		ToolbarHelper::title(   Text::_( 'COM_TIFFPS_IMPORT_MANAGER' ).': <small>[ ' . $text.' ]</small>', 'lieux' );
		ToolbarHelper::apply('tiffp.apply');
		ToolbarHelper::save('tiffp.save');
		if ($isNew)  {
			ToolbarHelper::cancel('tiffp.cancel');
		} else {
			// for existing items the button is renamed `close`
			ToolbarHelper::cancel( 'tiffp.cancel', 'JTOOLBAR_CLOSE' );
		}
		$toolbar->help('', false, 'http://www.creation-web.pro/documentation/TifFP.pdf');
	}
}
