<?php
	/*
	* TifFP composant passerelel de TourInFrance vers GMapFP pour Joomla! 4.x
	* Version J4.1
	* Creation date: Août 2023
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

namespace Joomla\Component\Tiffps\Administrator\View\Xml;

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Helper\ContentHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Uri\Uri;

class HtmlView extends BaseHtmlView
{
	function display($tpl = NULL)
	{
		if (!Factory::getUser()->authorise('core.admin', 'com_tiffps'))
			return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
			
		$this->state = $this->get('State');
		$item = $this->get('Code');
		if(empty($item)) {
			$this->code = Text::_('COM_TIFFPS_XML_FILE_NOT_FOUND');
		} else {
			if ($item['format'] == 'xml') {
				$this->code	= $item['xml'];
			} else {
				ob_start();
				print_r(json_decode($item['xml'], true));
				$this->code	= ob_get_contents();
				ob_end_clean();
			}
			
			if (empty($this->code)) {
				$this->code = Text::_('COM_TIFFPS_XML_FILE_NOT_FOUND');
			}
		}
		
        ToolBarHelper::link(URI::base().'index.php?option=com_tiffps', Text::_('COM_TIFFPS_ACCUEIL'), 'home');
		
		ToolBarHelper::title(   Text::_( 'COM_TIFFPS_XML_MANAGER' ), 'xml.png' );

		parent::display($tpl);
	}
}
