<?php
	/*
	* TifFP composant passerelel de TourInFrance vers GMapFP pour Joomla! 3.x
	* Version J4.3
	* Creation date: Novembre 2023
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\Component\ComponentHelper;
	
/** @var Joomla\CMS\WebAsset\WebAssetManager $wa */
$wa = $this->document->getWebAssetManager();
$wa->useScript('jquery');

// JHTML::_( 'behavior .modal' );

$app  	= Factory::getApplication(); 
$lang	= Factory::getLanguage();
$params = ComponentHelper::getParams('com_tiffps'); 

?>
<h1>TifFP</h1>
<section id="content" class="content">
	<div class="row">
		<div class="col-md-3">
			<nav class="quick-icons" aria-label="Quick Links System" tabindex="-1">
				<ul class="nav flex-wrap">
					<?php if ($this->canDo->get('core.admin')) {?>
						<li class="quickicon quickicon-single col mb-3">
							<a href="index.php?option=com_config&view=component&component=com_tiffps&path=&return=<?php echo base64_encode(URI::root()."administrator/index.php?option=com_tiffps") ?>">
								<div class="quickicon-icon d-flex align-items-end big">
									<div class="fas fa-cog" aria-hidden="true"></div>
								</div>
								<div class="quickicon-name d-flex align-items-end">
									<?php echo Text::_('JFIELD_PARAMS_LABEL'); ?>				
								</div>
							</a>
						</li>
					<?php };?>
					<?php if ($this->canDo->get('core.admin')) {?>
						<li class="quickicon quickicon-single col mb-3">
							<a href="index.php?option=com_tiffps&view=tiffps">
								<div class="quickicon-icon d-flex align-items-end big">
									<div class="fas fa-object-group" aria-hidden="true"></div>
								</div>
								<div class="quickicon-name d-flex align-items-end">
									<?php echo Text::_('COM_TIFFPS_FICHES'); ?>				
								</div>
							</a>
						</li>
					<?php };?>
					<?php if ($this->canDo->get('core.admin')) {?>
						<li class="quickicon quickicon-single col mb-3">
							<a href="index.php?option=com_tiffps&view=syndications">
								<div class="quickicon-icon d-flex align-items-end big">
									<div class="fas fa-rss" aria-hidden="true"></div>
								</div>
								<div class="quickicon-name d-flex align-items-end">
									<?php echo Text::_('COM_TIFFPS_SYNDICATIONS'); ?>				
								</div>
							</a>
						</li>
					<?php };?>
					<?php if ($this->canDo->get('core.admin')) {?>
						<li class="quickicon quickicon-single col mb-3">
							<a href="index.php?option=com_tiffps&view=functions">
								<div class="quickicon-icon d-flex align-items-end big">
									<div class="fas fa-file-code" aria-hidden="true"></div>
								</div>
								<div class="quickicon-name d-flex align-items-end">
									<?php echo Text::_('COM_TIFFPS_FUNCTIONS'); ?>				
								</div>
							</a>
						</li>
					<?php };?>
				</ul>
			</nav>
		</div>
		<div class="col-md-9">
			<?php echo $this->loadTemplate('xml'); ?>
		</div>
	</div>
	<table class="admintable">
		<tr>
			<td class="key">
				<?php echo Text::_( 'COM_TIFFPS_DOCUMENTATION' );?>
			</td>
			<td>
                <a href="http://www.creation-web.pro/documentation/TifFP_4.pdf" target="_new">http://www.creation-web.pro/documentation/TifFP_4.pdf</a>
			</td>
		</tr>
	</table>
</section>
	
<div class="copyright" align="center">
	<?php echo '<p>TifFPs : composant de <a target="_blank" href="http://creation-web.pro/">GMapFP D&eacute;veloppement</a></p>';?>
</div>
<div class="clr"></div>

