<?php
	/*
	* TifFP composant passerelel de TourInFrance vers GMapFP pour Joomla! 4.x
	* Version J4.3
	* Creation date: Décembre 2023
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Associations;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;
use Joomla\Registry\Registry;

/** @var Joomla\CMS\WebAsset\WebAssetManager $wa */
$wa = $this->document->getWebAssetManager();
$wa->getRegistry()->addExtensionRegistryFile('com_contenthistory');
$wa->useScript('jquery')
	->useScript('keepalive')
	->useScript('form.validate')
	->useScript('com_contenthistory.admin-history-versions');

$app  = Factory::getApplication();
?>

<form action="<?php echo Route::_('index.php?option=com_tiffps&controller=syndication&task=edit&id='.(int) $this->item->id); ?>" method="post" name="adminForm" id="adminForm" >
	<div class="row">
		<div class="col-md-6">
			<fieldset class="form-vertical">
				<?php echo $this->form->renderField('title'); ?>
				<?php echo $this->form->renderField('language'); ?>
				<?php echo $this->form->renderField('syndication_type'); ?>
				<?php echo $this->form->renderField('syndication_format'); ?>
				<?php echo $this->form->renderField('syndication'); ?>
				<?php echo $this->form->renderField('notes'); ?>
			</fieldset>
		</div>
		<div class="col-md-6">
			<fieldset class="form-vertical">
				<?php echo $this->form->renderField('published'); ?>
				<?php echo $this->form->renderField('tiffps_type_fiche'); ?>
				<?php echo $this->form->renderField('tiffps_photos_path'); ?>
				<?php echo $this->form->renderField('tiffps_fields_separator'); ?>
				<?php echo $this->form->renderField('tiffps_values_separator'); ?>
			</fieldset>
		</div>
	</div>

	<?php echo $this->form->renderField('id'); ?>
	<div>
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="return" value="<?php echo $app->input->get('return', '', 'base64');?>" />
		<?php echo HTMLHelper::_( 'form.token' ); ?>
	</div>
</form>
<div class="copyright" align="center">
	<?php echo '<p>TifFPs : composant de <a target="_blank" href="http://creation-web.pro/">GMapFP D&eacute;veloppement</a></p>';?>
</div>
