<?php
	/*
	* TifFP composant passerelel de TourInFrance vers GMapFP pour Joomla! 4.x
	* Version J4.1
	* Creation date: Août 2023
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die;

use Joomla\CMS\Button\ActionButton;
use Joomla\CMS\Button\PublishedButton;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Associations;
use Joomla\CMS\Language\Multilanguage;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Session\Session;
use Joomla\Component\Content\Administrator\Helper\ContentHelper;
use Joomla\CMS\Component\ComponentHelper;

$user		= Factory::getUser();
$userId		= $user->get('id');
$listOrder	= $this->escape($this->state->get('list.ordering'));
$listDirn	= $this->escape($this->state->get('list.direction'));
$saveOrder = $listOrder == 'a.ordering';

$archived	= $this->state->get('filter.published') == 2 ? true : false;
$trashed	= $this->state->get('filter.published') == -2 ? true : false;

?>
<form action="<?php echo Route::_('index.php?option=com_tiffps&view=syndications'); ?>" method="post" name="adminForm" id="adminForm">
	<div class="row">
		<div class="col-md-12">
			<div id="j-main-container" class="j-main-container">
				<?php
				// Search tools bar
				echo LayoutHelper::render('joomla.searchtools.default', array('view' => $this));
				?>
				<?php if (empty($this->items)) : ?>
					<div class="alert alert-info">
						<span class="icon-info-circle" aria-hidden="true"></span><span class="visually-hidden"><?php echo Text::_('INFO'); ?></span>
						<?php echo Text::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
					</div>
				<?php else : ?>
					<table class="table itemList" id="articleList">
						<caption class="visually-hidden">
							<?php echo Text::_('COM_GMAPFP_ARTICLES_TABLE_CAPTION'); ?>,
							<span id="orderedBy"><?php echo Text::_('JGLOBAL_SORTED_BY'); ?> </span>,
							<span id="filteredBy"><?php echo Text::_('JGLOBAL_FILTERED_BY'); ?></span>
						</caption>
						<thead>
							<tr>
								<td class="w-1 text-center">
									<?php echo HTMLHelper::_('grid.checkall'); ?>
								</td>
								<th scope="col" class="w-1 text-center d-none d-md-table-cell">
									<?php echo HTMLHelper::_('searchtools.sort', 'JSTATUS', 'a.statu', $listDirn, $listOrder, null, 'asc', 'JGRID_HEADING_ORDERING', 'icon-menu-2'); ?>
								</th>
								<th scope="col" class="w-6">
									<?php echo HTMLHelper::_('searchtools.sort', 'JGLOBAL_TITLE', 'a.title', $listDirn, $listOrder); ?>
								</th>
								<th scope="col" class="w-3">
									<?php echo HTMLHelper::_('searchtools.sort', 'COM_TIFFPS_HEADING_TYPE', 'a.syndication_type', $listDirn, $listOrder); ?>
								</th>
								<th scope="col" class="w-3">
									<?php echo HTMLHelper::_('searchtools.sort', 'COM_TIFFPS_HEADING_FORMAT', 'a.syndication_format', $listDirn, $listOrder); ?>
								</th>
								<th scope="col" class="w-3">
									<?php echo HTMLHelper::_('searchtools.sort', 'JGRID_HEADING_LANGUAGE', 'a.language', $listDirn, $listOrder); ?>
								</th>
								<th scope="col" class="w-1 d-none d-lg-table-cell">
									<?php echo HTMLHelper::_('searchtools.sort', 'JGRID_HEADING_ID', 'a.id', $listDirn, $listOrder); ?>
								</th>
							</tr>
						</thead>
						<tbody <?php if ($saveOrder) : ?> class="js-draggable" data-url="<?php echo $saveOrderingUrl; ?>" data-direction="<?php echo strtolower($listDirn); ?>" data-nested="true"<?php endif; ?>>
						<?php foreach ($this->items as $i => $item) :



				$ordering	= $listOrder == 'a.ordering';
				$canCreate	= $user->authorise('core.create',     'com_tiffps');
				$canEdit	= $user->authorise('core.edit',       'com_tiffps');
				$canCheckin	= $user->authorise('core.manage',     'com_checkin');
				$canEditOwn	= $user->authorise('core.edit.own',   'com_tiffps');
				$canChange	= $user->authorise('core.edit.state', 'com_tiffps') && $canCheckin;
			?>
			<tr class="row<?php echo $i % 2; ?>">
				<td class="text-center">
					<?php echo HTMLHelper::_('grid.id', $i, $item->id, false, 'cid', 'cb', $item->name); ?>
				</td>
				<td class="text-center">
					<?php
						$options = [
							'task_prefix' => 'syndications.',
							'disabled' => !$canChange,
							'id' => $item->id
						];
						echo (new PublishedButton)->render((int) $item->published, $i, $options);
					?>
				</td>
				<td class="nowrap">
					<div class="break-word">
						<?php if ($item->checked_out) : ?>
							<?php echo HTMLHelper::_('jgrid.checkedout', $i, $item->editor, $item->checked_out_time, 'syndications.', $canCheckin); ?>
						<?php endif; ?>
						<?php if ($canEdit || $canEditOwn) : ?>
							<a href="<?php echo Route::_('index.php?option=com_tiffps&task=syndication.edit&id='.(int) $item->id); ?>">
							<?php echo $this->escape($item->name); ?></a>
						<?php else : ?>
							<?php echo $this->escape($item->name); ?>
						<?php endif; ?>
					</div>
				</td>
				<td class="center">
					<?php echo Text::_('COM_TIFFPS_SYNDICATION_TYPE_'.$item->type); ?>
				</td>
				<td class="center">
					<?php echo $item->format; ?>
				</td>
				<td class="center">
					<?php if ($item->language=='*'):?>
						<?php echo Text::alt('JALL', 'language'); ?>
					<?php else:?>
						<?php echo $item->language ? $this->escape($item->language) : Text::_('JUNDEFINED'); ?>
					<?php endif;?>
				</td>
				<td class="center">
					<?php echo $item->id; ?>
				</td>
			</tr>
			<?php endforeach; ?>
		</tbody>
	</table>
				<?php endif; ?>
					<?php echo $this->pagination->getListFooter(); ?>

	<div>
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
				<?php echo HTMLHelper::_( 'form.token' ); ?>
	</div>
</form>
<div class="copyright" align="center">
	<?php echo '<p>TifFPs : composant de <a target="_blank" href="http://creation-web.pro/">GMapFP D&eacute;veloppement</a></p>';?>
</div>
