<?php
	/*
	* TifFP composant passerelel de TourInFrance vers GMapFP pour Joomla! 4.x
	* Version J4.3
	* Creation date: Novembre 2023
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

/** @var Joomla\CMS\WebAsset\WebAssetManager $wa */
$wa = $this->document->getWebAssetManager();
$wa->getRegistry()->addExtensionRegistryFile('com_contenthistory');
$wa->useScript('jquery')
	->useScript('keepalive')
	->useScript('form.validate')
	->useScript('com_contenthistory.admin-history-versions');

$app  = Factory::getApplication();
$gmapfp_champs = array();
if (property_exists($this->items, 'params_champs') and !empty($this->items->params_champs)) $gmapfp_champs = json_decode($this->items->params_champs, true);

?>

<form action="<?php echo Route::_('index.php?option=com_tiffps&view=tiffp&layout=edit&id='.(int) $this->items->id); ?>" method="post" name="adminForm" id="adminForm" >
	<div class="row">
		<div class="col-md-4">
			<strong><?php echo Text::_( 'JGLOBAL_FIELD_MODIFIED_LABEL' ); ?></strong>
			<?php
				if ($this->items->modified)
					echo HTMLHelper::_('date',  $this->items->modified, Text::_('DATE_FORMAT_LC2'));
			?>
		</div>
		<div class="col-md-8">
			<strong><?php echo Text::_( 'JGLOBAL_FIELD_MODIFIED_BY_LABEL' ); ?></strong>
			<?php
				if ($this->items->modified_by) echo $this->items->last_editor;
			?>
		</div>
	</div>
	<div class="row">
		<div class="col-md-6">
			<fieldset class="form-vertical">
				<?php echo $this->form->renderField('nom_fiche'); ?>
				<?php echo $this->form->renderField('g_access'); ?>
				<?php echo $this->form->renderField('g_language'); ?>
			</fieldset>
		</div>
		<div class="col-md-6">
			<fieldset class="form-vertical">
				<?php echo $this->form->renderField('published'); ?>
				<?php echo $this->form->renderField('g_catid'); ?>	
			</fieldset>
		</div>
	</div>
	<div class="row">
		<div class="col-md-12">
			<fieldset class="form-vertical options-form">
				<?php echo $this->form->renderField('type_xml'); ?>	
				<?php echo $this->form->renderField('verif'); ?>	
			</fieldset>
		</div>
	</div>

	<?php echo HTMLHelper::_('uitab.startTabSet', 'myTab', array('active' => 'general')); ?>
	<?php echo HTMLHelper::_('uitab.addTab', 'myTab', 'standard_fields', JText::_('COM_TIFFPS_STANDARD_FIELDS_CONTENT')); ?>

		<div>
			<?php
				// die(print_r($this->items_content));
				foreach ($this->items as $key => $item) {
					if (substr($key, 0, 2) == 'g_' and $key != 'g_catid' and $key != 'g_access' and $key != 'g_language') {
						echo '<div class="row">'."\n";
						echo '	<div class="col-md-4">'."\n";
						echo '		<fieldset class="form-vertical">'."\n";
						echo '			<div class="control-label">'."\n";
						echo '				<label id="jform_'.$key.'-lbl" for="jform_'.$key.'">'."\n";
						echo Text::_( 'COM_TIFFPS_'.$key )."\n"; 
						echo '				</label>'."\n";
						echo '			</div>'."\n";
						echo '			<div class="control">'."\n";
						$option_name ='options_'.$key;
						// die(print_r($this->items->$option_name));
						if (property_exists($this->items, $option_name))
							$selected = $this->items->$option_name;
						else
							$selected = 0;
						$selected0 = '';
						$selected1 = '';
						$selected2 = '';
						$selected3 = '';
						switch ($selected) {
							case 0: $selected0 = 'selected="selected"'; break;
							case 1: $selected1 = 'selected="selected"'; break;
							case 2: $selected2 = 'selected="selected"'; break;
							case 3: $selected3 = 'selected="selected"';
						}
						echo '				<select name="jform[options_'.$key.']" if ="jform_options_'.$key.'">'."\n";
						echo '					<option value="0" '.$selected0.'>'.Text::_( 'COM_TIFFPS_ALWAYS' ).'</option>'."\n";
						echo '					<option value="1" '.$selected1.'>'.Text::_( 'COM_TIFFPS_NEVER' ).'</option>'."\n";
						echo '					<option value="2" '.$selected2.'>'.Text::_( 'COM_TIFFPS_IF_EMPTY' ).'</option>'."\n";
						echo '					<option value="3" '.$selected3.'>'.Text::_( 'COM_TIFFPS_FIELD_NOT_EMPTY' ).'</option>'."\n";
						echo '				</select>'."\n";
						echo '			</div>'."\n";
						echo '		</fieldset>'."\n";
						echo '	</div>'."\n";
						echo '	<div class="col-md-8"">'."\n";
						echo '		<div class="control">'."\n";
						echo '			<textarea class="form-control inputbox" type="textarea" name="jform['.$key.']" id="jform_'.$key.'" >'.$item.'</textarea>'."\n";
						echo '		</div>'."\n";
						echo '	</div>'."\n";
						echo '</div>'."\n";
					}
				}
			?>
		</div>
	<?php echo HTMLHelper::_('uitab.endTab'); ?>
	<?php echo HTMLHelper::_('uitab.addTab', 'myTab', 'user_fields', JText::_('COM_TIFFPS_USERS_FIELDS')); ?>
		<div>
			<div class="header-item">
				<div class="header-item-content">
					<div class="header-item-icon">
						<span class="icon-filter" aria-hidden="true"></span>
					</div>
					<label class="hidden" for="filtre_custom_fields"><?php echo Text::_('COM_TIFFPS_FILTER'); ?></label>
					<input type="text" name="filtre_custom_fields" id="filtre_custom_fields"\>
					<div class="header-item-text">
						<a type="button" class="btn" 
							onclick="
								var filter_value = jQuery('#filtre_custom_fields').val();
								if (filter_value) {
									jQuery('[data-field_name]').hide();
									jQuery('[data-field_name*='+filter_value+' i]').show();
									false;
								} else {
									jQuery('[data-field_name]').show();
								}
							"
						>
							<?php echo Text::_('COM_TIFFPS_FILTER'); ?>
						</a>
					</div>	
				</div>	
			</div>	
			<div>
				&nbsp;
			</div>	
			<?php
				// die(print_r($this->customs));
				$hr = '';
				foreach ($this->customs as $custom) {
					if ($hr != $custom->fg_title) echo '<hr class="spacer" />';
					$hr = $custom->fg_title;
					echo '<div class="row" data-field_catid="'.$custom->category_id.'" data-field_name="'.Text::_( $custom->title ).'">'."\n";
					echo '	<div class="col-md-4">'."\n";
					echo '		<fieldset class="form-vertical">'."\n";
					echo '			<div class="control-label">'."\n";
					echo '				<label id="jform_champ_'.$custom->id.'-lbl" for="jform_champ_'.$custom->id.'">'."\n";
					echo Text::_( $custom->title )."\n"; 
					if ($custom->fg_title) echo ' / ' . Text::_( $custom->fg_title )."\n"; 
					echo '				</label>'."\n";
					echo '			</div>'."\n";
					echo '			<div class="control">'."\n";
					$option_name ='options_champ_'.$custom->id;
					if (property_exists($this->items, $option_name))
						$selected = $this->items->$option_name;
					else
						$selected = 0;
					$selected0 = '';
					$selected1 = '';
					$selected2 = '';
					$selected3 = '';
					switch ($selected) {
						case 0: $selected0 = 'selected="selected"'; break;
						case 1: $selected1 = 'selected="selected"'; break;
						case 2: $selected2 = 'selected="selected"'; break;
						case 3: $selected3 = 'selected="selected"';
					}
					echo '				<select name="jform[options_champ_'.$custom->id.']" id="jform_options_champ_'.$custom->id.'">'."\n";
					echo '					<option value="0" '.$selected0.'>'.Text::_( 'COM_TIFFPS_ALWAYS' ).'</option>'."\n";
					echo '					<option value="1" '.$selected1.'>'.Text::_( 'COM_TIFFPS_NEVER' ).'</option>'."\n";
					echo '					<option value="2" '.$selected2.'>'.Text::_( 'COM_TIFFPS_IF_EMPTY' ).'</option>'."\n";
					echo '					<option value="3" '.$selected3.'>'.Text::_( 'COM_TIFFPS_FIELD_NOT_EMPTY' ).'</option>'."\n";
					echo '				</select>'."\n";
					echo '			</div>'."\n";
					echo '		</fieldset>'."\n";
					echo '	</div>'."\n";
					echo '	<div class="col-md-8"">'."\n";
					echo '		<div class="control">'."\n";
					if (array_key_exists($custom->id, $gmapfp_champs)) $value = $gmapfp_champs[$custom->id];
					else $value = '';
					echo '			<textarea class="form-control inputbox" type="textarea" name="jform[champ_'.$custom->id.']" id="jform_champ_'.$custom->id.'" >'.$value.'</textarea>'."\n";
					echo '		</div>'."\n";
					echo '	</div>'."\n";
					echo '</div>'."\n";
				}
			?>
		</div>                        
	<?php echo HTMLHelper::_('uitab.endTab'); ?>
	<?php echo HTMLHelper::_('uitab.endTabSet'); ?>

	<?php echo $this->form->renderField('id'); ?>
	<div>
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="return" value="<?php echo $app->input->get('return', '', 'base64');?>" />
		<?php echo HTMLHelper::_( 'form.token' ); ?>
	</div>
</form>
<div class="copyright" align="center">
	<?php echo '<p>TifFPs : composant de <a target="_blank" href="http://creation-web.pro/">GMapFP D&eacute;veloppement</a></p>';?>
</div>
