<?php
	/*
	* TifFP Component for Joomla! 4.0.x
	* Version J4_0_4P
	* Creation date: janvier 2024
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: support@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Filesystem\File;
use Joomla\CMS\Filesystem\Folder;
use Joomla\Component\Categories\Administrator\Helper\CategoriesHelper;
use Joomla\Registry\Registry;

class com_TifFPsInstallerScript
{
	protected $release;
	protected $debug_update;
	protected $debug_file;
	
	function install($parent) 
	{
		$path = JPATH_SITE;
	}

	function update($parent)
	{
		$this->debug_update = true;
		$add_sql = array();
		$rename_sql = array();
		$update_sql = array();
		
		if ($this->debug_update) {
			$this->debug_file = fopen(JPATH_SITE."/tiffp_update_debug_file.log", "w");
			fwrite($this->debug_file, 'DEBUT DEBUG A '.date('d/m/Y H:i:s')."\r\n");
		}
					
		//mise a jour des table de donnes
		$db = Factory::getDBO();
		
		//ajoute la table images
		$query = "
			CREATE TABLE IF NOT EXISTS `#__tiffp_images` (
			  `id_table` int UNSIGNED NOT NULL AUTO_INCREMENT,
			  `url_source` varchar(255) NOT NULL,
			  `url_destination` varchar(255) NOT NULL,
			  `gmapfp_id` int NOT NULL,
			  `attribs` varchar(5120) NOT NULL,
			  PRIMARY KEY (`id_table`)
			) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
		";
		$db->setQuery($query);
		$db->execute();
		
		//add champs aux tables
		$add_sql = array();
		$add_sql['syndication_format']			="ALTER TABLE `#__tiffp_syndications` ADD `syndication_format` varchar(10) NOT NULL DEFAULT '' AFTER `syndication_type`";
		$add_sql['tiffps_fields_separator']		="ALTER TABLE `#__tiffp_syndications` ADD `tiffps_fields_separator` varchar(10) NOT NULL DEFAULT '' AFTER `syndication_format`";
		$add_sql['tiffps_values_separator']		="ALTER TABLE `#__tiffp_syndications` ADD `tiffps_values_separator` varchar(10) NOT NULL DEFAULT '' AFTER `tiffps_fields_separator`";
		$add_sql['notes']						="ALTER TABLE `#__tiffp_syndications` ADD `notes` BLOB NOT NULL AFTER `language`";
		$add_sql['tiffps_type_fiche']			="ALTER TABLE `#__tiffp_syndications` ADD `tiffps_type_fiche` VARCHAR(10) NOT NULL AFTER `syndication_format`;";

		foreach($add_sql as $key => $sql) {
			$query = "SHOW COLUMNS FROM `#__tiffp_syndications` LIKE '".$key."'";
			$db->setQuery( $query );
			$list_id = $db->loadObject();
			if (empty($list_id)) {
				fwrite($this->debug_file, 'Add sql __tiffp_syndications : '.$key."\r\n");
				$query = $sql;
				$db->setQuery($query);
				$db->execute();
			} else
				fwrite($this->debug_file, 'No Add sql __tiffp_syndications : '.$key."\r\n");
		}
		
		$add_sql = array();
		$add_sql['syndication_id']		="ALTER TABLE `#__tiffp_xml` ADD `syndication_id` int(11) UNSIGNED NOT NULL AFTER `xml`";
		$add_sql['path_file']		="ALTER TABLE `#__tiffp_xml` ADD `path_file` VARCHAR(255) NULL AFTER `syndication_id`";

		foreach($add_sql as $key => $sql) {
			$query = "SHOW COLUMNS FROM `#__tiffp_xml` LIKE '".$key."'";
			$db->setQuery( $query );
			$list_id = $db->loadObject();
			if (empty($list_id)) {
				fwrite($this->debug_file, 'Add sql __tiffp_xml : '.$key."\r\n");
				$query = $sql;
				$db->setQuery($query);
				$db->execute();
			} else
				fwrite($this->debug_file, 'No Add sql __tiffp_xml : '.$key."\r\n");
		}
		
		$add_sql = array();
		$add_sql['type_format']		="ALTER TABLE `#__tiffp` ADD `type_format` varchar(10) NOT NULL DEFAULT '' AFTER `type_xml`";

		foreach($add_sql as $key => $sql) {
			$query = "SHOW COLUMNS FROM `#__tiffp` LIKE '".$key."'";
			$db->setQuery( $query );
			$list_id = $db->loadObject();
			if (empty($list_id)) {
				fwrite($this->debug_file, 'Add sql __tiffp : '.$key."\r\n");
				$query = $sql;
				$db->setQuery($query);
				$db->execute();
			} else
				fwrite($this->debug_file, 'No Add sql __tiffp : '.$key."\r\n");
		}
		
		//supprime des champs
		$del_sql = array();
		$del_sql['format']		="ALTER TABLE `#__tiffp_xml` DROP COLUMN `format`";
		$del_sql['type']		="ALTER TABLE `#__tiffp_xml` DROP COLUMN `type`";
		$del_sql['language']	="ALTER TABLE `#__tiffp_xml` DROP COLUMN `language`";

		foreach($del_sql as $key => $sql) {
			$query = "SHOW COLUMNS FROM `#__tiffp_xml` LIKE '".$key."'";
			$db->setQuery( $query );
			$list_id = $db->loadObject();
			if (!empty($list_id)) {
				fwrite($this->debug_file, 'Del sql __tiffp_xml : '.$key."\r\n");
				$query = $sql;
				$db->setQuery($query);
				$db->execute();
			} else
				fwrite($this->debug_file, 'No Del sql __tiffp_xml : '.$key."\r\n");
		}
		
		
		//rename champs tables
		$rename_sql = array();
		// $rename_sql['published']="ALTER TABLE  `#__tiffp_syndications` CHANGE `published` `state` TINYINT(3) NOT NULL DEFAULT '0'";
		
		foreach($rename_sql as $key => $sql) {
			$query = "SHOW COLUMNS FROM `#__tiffp_syndications` LIKE '".$key."'";
			$db->setQuery( $query );
			$list_id = $db->loadObject();
			if (!empty($list_id)) {
				fwrite($this->debug_file, 'Rename sql __tiffp_syndications : '.$key."\r\n");
				$query = $sql;
				$db->setQuery($query);
				$db->execute();
			} else
				fwrite($this->debug_file, 'No Rename sql __tiffp_syndications : '.$key."\r\n");
		}
		
		//modifie les attributs d'un champ dans une table
		$update_sql = array();
		$update_sql['checked_out']="ALTER TABLE  `#__tiffp_syndications` MODIFY `checked_out` INT(10) unsigned DEFAULT NULL";
		$update_sql['checked_out_time']="ALTER TABLE  `#__tiffp_syndications` MODIFY `checked_out_time` DATETIME";
		
		foreach($update_sql as $key => $sql) {
			$query = "SHOW COLUMNS FROM `#__tiffp_syndications` LIKE '".$key."'";
			$db->setQuery( $query );
			$list_id = $db->loadObject();
			if (!empty($list_id)) {
				fwrite($this->debug_file, 'Update sql __tiffp_syndications : '.$key."\r\n");
				$query = $sql;
				$db->setQuery($query);
				$db->execute();
			} else
				fwrite($this->debug_file, 'No Update sql __tiffp_syndications : '.$key."\r\n");
		}

		$update_sql = array();
		$update_sql['title']="ALTER TABLE  `#__tiffp_xml` MODIFY `title` TINYBLOB NULL DEFAULT NULL";
		
		foreach($update_sql as $key => $sql) {
			$query = "SHOW COLUMNS FROM `#__tiffp_xml` LIKE '".$key."'";
			$db->setQuery( $query );
			$list_id = $db->loadObject();
			if (!empty($list_id)) {
				fwrite($this->debug_file, 'Update sql __tiffp_xml : '.$key."\r\n");
				$query = $sql;
				$db->setQuery($query);
				$db->execute();
			} else
				fwrite($this->debug_file, 'No Update sql __tiffp_xml : '.$key."\r\n");
		}

		fwrite($this->debug_file, 'FIN DEBUG A '.date('d/m/Y H:i:s')."\r\n");

		if ($this->debug_update) 
			fclose($this->debug_file);
	}
		
	function uninstall($parent) 
	{
	}
	
	function postflight($type, $parent)
	{
		// $parent is the class calling this method
		// $type is the type of change (install, update or discover_install)
		
		if ($type == 'install' OR $type == 'update') {
			$this->affiche_bienvenue($type);
		}
	}
	
	function preflight( $type, $parent ) 
	{
        // Installing component manifest file version
		/*$this->release = $parent->get( "manifest" )->version;
 		die($this->release);*/
	}

	function affiche_bienvenue($type) {
		$lang		= Factory::getLanguage();
		$langue		= substr((@$lang->getTag()),0,2);
		if ($langue!='fr') $langue = 'en';

		if ($langue=='fr') {
			if ($type == 'install') {
				echo "<h1>TifFP Installation</h1>";
			}else{
				echo "<h1>TifFP Mise &agrave; jour</h1>";
			};
			?>
			<a href="http://gmapfp.org/fr/" target="_blank"><img src="../media/com_gmapfp/imagesfolder/logo_gmapfp_developpement.jpg" title="Visit&eacute; le site : GMapFP.org" alt="Visit&eacute; le site : GMapFP.org" style="float:left; margin: 2px 25px 2px 0px;"/></a>
			<p>Bienvenue sur TifFP v<?php echo $this->release?> !</p>
			<p>Bonne continuation avec TifFP</p>
			<?php
		} else {
			if ($type == 'install') {
				echo "<h1>TifFP Installation</h1>";
			}else{
				echo "<h1>TifFP Upgrade</h1>";
			};
			?>
			<a href="http://gmapfp.org/en/" target="_blank"><img src="../media/com_gmapfp/imagesfolder/logo_gmapfp_developpement.jpg" title="Visited the site : GMapFP.org" alt="Visited the site : GMapFP.org" style="float:left; margin: 2px 25px 2px 0px;"/></a>
			<p>Welcome on v<?php echo $this->release?> TifFP !</p>
			<p>Good continuation with TifFP</p>
			<?php
		}
	}
}