<?php
	/*
	* TifFPs Component Google Map for Joomla! 4.0.x
	* Version J4_0_0P
	* Creation date: Octobre 2023
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: support@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;

class pkg_TiffpsInstallerScript{

	protected $packageName = 'pkg_tiffps';
	protected $componentName = 'com_tiffps';

	// Method to run after the install routine.
	function postflight($type, $parent) 
	{
		//active les plugins
		$this->enable_plugins();
		// $this->disable_plugins();

		$this->affiche_bienvenue($type);
	}
	
	function update($parent) 
	{
		// echo serialize($parent);
		// echo '<p>The module has been updated to version</p>';
		// echo '<p>The module has been updated to version' . $parent->get('manifest')->version . '.</p>';
	}

	private function disable_plugins()
	{
		$db    = Factory::getDbo();
		$config = Factory::getConfig();
		$base_name = $config->get('db');
		$table_prefix = $config->get('dbprefix');
		
		//désactive le plugin de contenu Joomla 3
		$query = $db->getQuery(true);
		$query->select('extension_id')
			->from($db->quoteName('#__extensions'))
			->where($db->quoteName('type') . " = " . $db->quote('plugin') . " AND " . $db->quoteName('element') . " = " . $db->quote('gmapfp'));
		$db->setQuery( $query );
		$result = $db->loadResult();

		if ($result) {
			$query = $db->getQuery(true);
			$fields = array($db->quoteName('enabled') . ' = 0');
			$conditions = array($db->quoteName('extension_id') . ' = ' . $db->quote($result));
			$query->update($db->quoteName('#__extensions'))->set($fields)->where($conditions);
			$db->setQuery($query);
		}
	}
		
	private function enable_plugins()
	{
		$db    = Factory::getDbo();
		
		// plg_content_gmapfp_map
		$query = $db->getQuery(true);
		$fields = array($db->quoteName('enabled') . ' = 1');
		$conditions = array($db->quoteName('name') . ' = ' . $db->quote('plg_system_tiffpsgmapfpinfo'));
		$query->update($db->quoteName('#__extensions'))->set($fields)->where($conditions);
		$db->setQuery($query);
		$db->execute();
		
	}

	function affiche_bienvenue($type) {

		if($type=='install' || $type=='update'){
				echo '<h2>Installation de TifFP : Importation d\'informations en prevenance de flux vers GMapFP.</h2>';
				echo "<a href='https://gmapfp.org/fr/'>GMapFP</a> est un composant Joomla vous permettant d'importer des informations en provenance de flux de TourInFrance, DataTourisme et Intramuros vers GMapFP.";
		}
		return true;
	}
}